Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class PageBreakRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.PageBreakRecord

Direct Known Subclasses:
  HorizontalPageBreakRecord, VerticalPageBreakRecord

    public abstract class PageBreakRecord

extends StandardRecord

Record that contains the functionality page breaks (horizontal and vertical)

The other two classes just specifically set the SIDS for record creation.

REFERENCE: Microsoft Excel SDK page 322 and 420

Author:
  Danny Mui (dmui at apache dot org)
See Also:
  `HorizontalPageBreakRecord`, `VerticalPageBreakRecord`

Nested Class Summary
`static class` | `PageBreakRecord.Break` Since both records store 2byte integers (short), no point in differentiating it in the records.

Constructor Summary
`PageBreakRecord(RecordInputStream in)`

Method Summary
`void` | `addBreak(int main, int subFrom, int subTo)` Adds the page break at the specified parameters
`PageBreakRecord.Break` | `getBreak(int main)` Retrieves the region at the row/column indicated
`int[]` | `getBreaks()`
`java.util.Iterator` | `getBreaksIterator()`
`int` | `getNumBreaks()`
`boolean` | `isEmpty()`
`void` | `removeBreak(int main)` Removes the break indicated by the parameter
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, getSid, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PageBreakRecord

    public PageBreakRecord(RecordInputStream in)

Method Detail

### isEmpty

    public boolean isEmpty()

### serialize

    public final void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getNumBreaks

    public int getNumBreaks()

### getBreaksIterator

    public final java.util.Iterator getBreaksIterator()

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### addBreak

    public void addBreak(int main,
                         int subFrom,
                         int subTo)

  Adds the page break at the specified parameters

  Parameters:
    `main` - Depending on sid, will determine row or column to put page break (zero-based)
    `subFrom` - No user-interface to set (defaults to minimum, 0)
    `subTo` - No user-interface to set

### removeBreak

    public final void removeBreak(int main)

  Removes the break indicated by the parameter

  Parameters:
    `main` - (zero-based)

### getBreak

    public final PageBreakRecord.Break getBreak(int main)

  Retrieves the region at the row/column indicated

  Parameters:
    `main` - FIXME: Document this!
  Returns:
    The Break or null if no break exists at the row/col specified.

### getBreaks

    public final int[] getBreaks()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD